Subject: Re: bug#27919: 25.2.50; dired + eshell-ls: fallback to external ls fails

From: John Wiegley <[email-masked]>
Date: Fri, 04 Aug 2017 10:05:07 -0700

>>>>> Eli Zaretskii <[email-masked]> writes:

> Because (a) it's much smaller than Eshell, so better suited for something
> that's preloaded; and (b) it supports quite a few options that Eshell
> doesn't, AFAIK, and which Windows users might expect to be available, as
> they are available in "other file-system browsers".

I wonder then how hard it would be to adapt Eshell to use ls-lisp.  Does
ls-lisp provide more than just dired-suited output?  eshell/ls tries hard to
be pretty at the shell prompt too.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2